Bug 125913 - OpenOffice.org doesn't use GNOME theme if nautilus is not running
OpenOffice.org doesn't use GNOME theme if nautilus is not running
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-13 18:37 EDT by Alex Lancaster
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: openoffice.org-1.1.2-10.fc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 08:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2004-06-13 18:37:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
OpenOffice.org won't use the currently set GNOME theme or GNOME font
if nautilus is not running.  I prefer to run my GNOME session without
running nautilus for performance reasons.  If nautilus is not running
(i.e. if I shut it down via gnome-session-properties) then
OpenOffice.org reverts to the default theme and fonts, and neither the
GTK theme nor the currently set font is used by OpenOffice.org's GUI.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.1-4

How reproducible:
Always

Steps to Reproduce:
1. Create new user account
2. Login
3. Run OpenOffice.org from menu
4. Note that themes and font can be varied by changing values in Theme
and Font under Preferences
5. Close OpenOffice.org
6. Run gnome-session-properties from gnome-terminal
7. Go to current session programs tab, highlight "nautilus", click
"Remove" then "Apply".  Note that GNOME desktop stops running
8. Re-run OpenOffice.org from menu, note that interface reverts to default
9. Try changing Theme and Font from Preferences, note no change in
OpenOffice.org
10. Restart nautilus, note that themes in OOo return.
9.
    

Actual Results:  When nautilus is not running, neither themes nor font
changes will change OOo's interface font.

Expected Results:  I would expect that the themes and font changes
would be reflected in OOo.  Changes to theme and font DO take effect
for all other apps, such as gnome-terminal, galeon, epiphany etc.  OOo
is the only app that behaves this way when nautilus is not running,
why should it behave any differently from other GNOME apps?

Additional info:
Comment 1 Alex Lancaster 2004-10-22 08:39:11 EDT
The Fedora Core 2 update release [openoffice.org-1.1.2-10.fc2] (which
is a new upstream version) appears to fix problem.  Now, whether or
not nautilus is running, the theme is the current GTK2 theme, rather
than the default OOo theme.  Theme changes also appear to be sticky. 
Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.